Subject: Re: Re[2]: Making DLL's.
From: [email-masked] (Gary V. Vaughan)
To: Paul Sokolovsky <[email-masked]>
Cc: [email-masked] (Gary V. Vaughan), [email-masked]
Date: 23 Mar 1999 09:11:42 +0000

Paul Sokolovsky <[email-masked]> writes:

> Hello Gary,
> 
> Gary V. Vaughan <[email-masked]> wrote:
> 
> []
> 
> GVV> Is there a better solution to this than trying to find out the complete
> GVV> list of libraries (and their types) against which each object will
> GVV> eventually be linked so that I can tag data exports correctly when the
> GVV> asm code is generated?
> 
>      To add more confusion (though maybe it not really matters in
> practise), dlls can't be mutually dependent (tested on win95)

Indeed.  Dlls really are quite deficient by comparison with elf shared
libraries on unix (which is what I am trying to emulate -- more fool me!),
for example you cannot leave undefined symbols in a dll which will be
provided later when the library is linked, and you cannot override symbols
in a dll with symbols in the main source.

I am trying to ignore these problems for the moment until I can at least
make global data be well behaved.

Cheers,
        Gary.
-- 
  ___              _   ___   __              _             
 / __|__ _ _ ___ _| | / / | / /_ _ _  _ __ _| |_  __ _ ___ 
| (_ / _` | '_|// / |/ /| |/ / _` | || / _` | ' \/ _` | _ \
 \___\__,_|_|\_, /|___(_)___/\__,_|\_,_\__, |_||_\__,_|//_/
PGP Key from/___/                      /___/               
http://www.cl.cam.ac.uk/PGP/pks-commands.html#extract      
http://pgp.ai.mit.edu/~bal/pks-commands.html#extract       

--
Want to unsubscribe from this list?
Send a message to [email-masked]